/*-----------------------------------------------------------------
  データベース接続
------------------------------------------------------------------*/
/* ++++++++++++++++++++++++
　初期設定
++++++++++++++++++++++++ */
//  データベースファイル名：図面
var chat_dbf = "chat.mdb";

//  データベースファイルパス
var dbfPath = "C:\\\\Users\\kfcs\\Desktop\\SNS模擬サイト\\common\\js";

//  データベース保持用
var database;

//  デバッグ
var debug = true;

/* ++++++++++++++++++++++++
　データベース接続
++++++++++++++++++++++++ */
function DBOpen(dbf){
	//  ADODB :Microsoft ActiveX Data Objects *.* Library
	database = new ActiveXObject("ADODB.Connection");

	//  ドライバー設定
	var driver = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + dbfPath + "\\" + dbf ;
	
	//  接続
	database.Open(driver);
};


/* ++++++++++++++++++++++++
　データベース切断
++++++++++++++++++++++++ */
function DBClose(){
	//  後処理
	database.Close();		
};


/* ++++++++++++++++++++++++
　全データ取得
++++++++++++++++++++++++ */
function DBSelectTable(table){	
	//  SQL生成
	var selectSql = "SELECT * FROM "+table+";";
		
	//  SQL発行
	var recordSet = database.Execute(selectSql);

	//  デバッグ
	if(debug){
		//console.log("--------------------------");
		//console.log("SQL:"+selectSql);
		//console.log("--------------------------");
	}

	return recordSet;
};


/* ++++++++++++++++++++++++
　メッセージ情報取得
++++++++++++++++++++++++ */
//  
//  検索条件：端末
//
function ChatDBSearch(pcid){
	//  SQL生成
	var selectSql = "SELECT * FROM チャット WHERE 端末="+pcid+";";
	
	//  SQL発行
	var recordSet = database.Execute(selectSql);

	//  デバッグ
	if(debug){
		console.log("--------------------------");
		console.log("SQL:"+selectSql);
		console.log("--------------------------");
	}

	//  データ返す
	return recordSet;
};


/* ++++++++++++++++++++++++
　メッセージ情報追加
++++++++++++++++++++++++ */
//  
//
function ChatDBInsert(pcid,user,message,date){
	//  SQL生成
	var insertSql = "INSERT INTO チャット (端末, ユーザ, メッセージ, 投稿日時) VALUES ("+pcid+", "+user+", '"+message+"' , "+date+");";
	
	console.log(insertSql);
	//  SQL発行
	var recordSet = database.Execute(insertSql);

	//  デバッグ
	if(debug){
		console.log("--------------------------");
		console.log("SQL:"+insertSql);
		console.log("--------------------------");
	}

	//  データ返す
	return recordSet;
};


